#include<bits/stdc++.h>
#define ios ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)
#define dec(x, y) fixed << setprecision((y)) << (x)
#define xx first
#define yy second
#define srt(v) sort((v).begin(), (v).end())
#define srtr(v) sort((v).rbegin(), (v).rend())
#define pb push_back
#define popb pop_back
#define sz(a) (int)(a).size()
#define len(a) (int)(a).length()
#define mp make_pair

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;

int n, k, koji;
bool uzmi;
int main() {
    ios;
    cin >> n >> k;
    cin >> koji;
    if(koji==k) uzmi=1;
    for(int i=2; i<=n; i++) {
        int x; cin >> x;
        if(uzmi) {cout << x; return 0;}
        if(x==k) uzmi=1;
    }
    cout << koji; return 0;
}